#ifndef XPRDEFS_H
#define XPRDEFS_H

#include <things.h>

extern int XPRPid;
extern int pChId;
extern char LibDir[];
extern char MyProtocol[];

#define SEND 3
#define RECEIVE 4

typedef struct
{
    int pSerId;                                     /* 00 */
    int Pid;                                        /* 04 */
    int (*ReadQue) (int, char *, int, int *);       /* 08 */
    int (*SendChr) (char);                          /* 12 */
    int (*SendStr) (char *);                        /* 16 */
    int (*SendQCs) (char *, int);                   /* 20 */
    short bFlow;            /* 24 */
    short Wait;             /* 26 */
    short Ident;            /* 28 */
    char  spare;             /* 30 */
    char  QCIS;             /* 31 */
    char QErr;              /* 32 */
    char z1;                /* 33 */
    char z2;                /* 34 */
    char z3;                /* 35 */
    int xon;                /* 36 */
    int xoff;               /* 40 */
    int Size;               /* 44 */
    int Count;              /* 48 */
    char *Buff;             /* 52 */
    char *Addr;             /* 56 */
    int  SerSts;            /* 60 */
}
SERBLK, *PSERBLK;

typedef struct
{
    char *FileName;
    char *ComStr;
    char *InFile;
    int inflag;
    char *OuFile;
    int ouid;
    int JobId;
    int serr;
    unsigned char Prio;
    unsigned char Wait;
} SJOB, *PSJOB;

extern spawn(SJOB *);

#endif
